GET
/v2/apis
http://apigateway.{region}.amazonaws.com/v2/apisGets a collection of Api resources.
Access Token Required: API Key
Query Params
maxResultsstring
The maximum number of elements to be returned for this resource.
nextTokenstring
The next page of elements from this collection. Not valid for the last element of the collection.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://apigateway.{region}.amazonaws.com/v2/apis' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}